﻿using System;
using System.Reflection;

namespace DapperORM.Common.Extention.DTO
{
    /// <summary>
    /// 列属性
    /// </summary>
    public class PropertyColumnInfo
    {
        /// <summary>
        /// 属性名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 别名
        /// </summary>
        public string Alias { get; set; }

        /// <summary>
        /// 是否自增
        /// </summary>
        public bool IsAuto { get; set; }

        /// <summary>
        /// 是否忽略
        /// </summary>
        public bool IsIgnore { get; set; }

        /// <summary>
        /// 属性信息
        /// </summary>
        public PropertyInfo PropertyInfo { get; set; }
    }
}
